메뉴얼
에이전트 메뉴얼 상세 조회
메뉴얼 한 건을 본문, 빌트인 도구, 참조, 진단과 함께 조회합니다. 에이전트에 없는 메뉴얼은 404 MANUAL_NOT_FOUND로 응답합니다.
GET
/
agents
/
{agent_id}
/
manuals
/
{manual_id}
에이전트 메뉴얼 상세 조회
curl --request GET \
--url https://client-api.tryvox.co/v3/agents/{agent_id}/manuals/{manual_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://client-api.tryvox.co/v3/agents/{agent_id}/manuals/{manual_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client-api.tryvox.co/v3/agents/{agent_id}/manuals/{manual_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"trigger": "<string>",
"content": "<string>",
"agent_id": "<string>",
"manual_id": "<string>",
"head_revision": 123,
"built_in_tools": [
{
"toolType": "end_call",
"speakDuringExecution": {
"enabled": false,
"messages": [
"<string>"
]
},
"allowInterruptionDuringExecution": false,
"responseMode": "wait",
"name": "end_call",
"description": "<string>"
}
],
"config": {},
"references": {},
"diagnostics": [
{}
]
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed.",
"details": {
"field": "name",
"reason": "must not be blank"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Permission denied.",
"details": {}
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": {
"resource": "agent"
}
}
}{
"error": {
"code": "CONFLICT",
"message": "The requested operation conflicts with current state.",
"details": {
"current_status": "draft"
}
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests.",
"details": {
"limit": 10,
"window_seconds": 1,
"scope": "user"
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error.",
"details": {}
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service temporarily unavailable.",
"details": {}
}
}Authorizations
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
Path Parameters
agent_id로 반환되는 에이전트 UUID입니다.
Response
성공 응답
메뉴얼 이름입니다. 목록과 편집 화면에서 메뉴얼을 구분하는 라벨이며 최대 128자입니다.
Maximum string length:
128메뉴얼 본문입니다. 공백을 포함해 최대 8,096자이며 @tool:과 @manual: 참조를 담을 수 있습니다.
Maximum string length:
8096에이전트 UUID입니다.
built_in_tools
(EndCallTool · object | TransferCallTool · object | TransferAgentTool · object | SendSmsTool · object | SendDtmfTool · object | SearchAddressTool · object | SkillTool · object)[]
통화 종료 built-in 도구 설정입니다.
- EndCallTool
- TransferCallTool
- TransferAgentTool
- SendSmsTool
- SendDtmfTool
- SearchAddressTool
- SkillTool
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
에이전트 메뉴얼 상세 조회
